# Copyright: 2007-2010 Paul Obermeier (obermeier@poSoft.de)
# Distributed under BSD license.

set auto_path [linsert $auto_path 0 [pwd]]

package require tcom
package require tcomexcel

set path [file join [pwd] "testOut"]

set appId [::Excel::Open true]
set xlsFile "TestMisc[::Excel::GetExtString $appId]"
set workbookId  [::Excel::OpenWorkbook $appId [file join $path $xlsFile]]
set worksheetId [::Excel::GetWorksheetIdByName $workbookId "TestMisc"]
::Excel::SaveAsCsv $workbookId $worksheetId [file join $path TestMisc.csv]
::Excel::Quit $appId false
